import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class BootstrapColors {
  /// basic
  static const Color defaults = Color(0xFFF5F5F5);
  static const Color primary = Color(0xFF337AB7);
  static const Color success = Color(0xFF5CB85C);
  static const Color warning = Color(0xFFF0AD4E);
  static const Color info = Color(0xFF5BC0DE);
  static const Color danger = Color(0xFFD9534F);
  static const Color muted = grayLight;
  static const Color grayDarker = Color(0xFF222222);
  static const Color grayDark = Color(0xFF333333);
  static const Color gray = Color(0xFF555555);
  static const Color grayLight = Color(0xFF777777);
  static const Color grayLighter = Color(0xFFEEEEEE);

  /// reboot
  static const Color bodyBackground = Colors.white;
  static const Color anchorText = primary;

  /// panel
  static const Color panelDefaultBackground = defaults;
  static const Color panelDefaultText = grayDark;
  static const Color panelDefaultBorder = Color(0xFFDDDDDD);
  static const Color panelPrimaryBackground = primary;
  static const Color panelPrimaryText = Colors.white;
  static const Color panelPrimaryBorder = primary;
  static const Color panelInfoBackground = Color(0xFFD9EDF7);
  static const Color panelInfoText = Color(0xFF31708F);
  static const Color panelInfoBorder = Color(0xFFBCE8F1);
  static const Color panelSuccessBackground = Color(0xFFDFF0D8);
  static const Color panelSuccessText = Color(0xFF3C763D);
  static const Color panelSuccessBorder = Color(0xFFD6E9C6);
  static const Color panelWarningBackground = Color(0xFFFCF8E3);
  static const Color panelWarningText = Color(0xFF8A6D3B);
  static const Color panelWarningBorder = Color(0xFFFAEBCC);
  static const Color panelDangerBackground = Color(0xFFF2DEDE);
  static const Color panelDangerText = Color(0xFFA94442);
  static const Color panelDangerBorder = Color(0xFFEBCCD1);
  static const Color panelGreenBackground = success;
  static const Color panelGreenText = Colors.white;
  static const Color panelGreenBorder = success;
  static const Color panelYellowBackground = warning;
  static const Color panelYellowText = Colors.white;
  static const Color panelYellowBorder = warning;
  static const Color panelRedBackground = danger;
  static const Color panelRedText = Colors.white;
  static const Color panelRedBorder = danger;

  /// button
  static const Color buttonDefaultBackground = Colors.white;
  static const Color buttonDefaultText = grayDark;
  static const Color buttonDefaultOutlineText = buttonDefaultText;
  static const Color buttonDefaultBorder = Color(0xFFCCCCCC);
  static const Color buttonPrimaryBackground = primary;
  static const Color buttonPrimaryText = Colors.white;
  static const Color buttonPrimaryOutlineText = Color(0xFF428BCA);
  static const Color buttonPrimaryBorder = Color(0xFF2E6DA4);
  static const Color buttonSuccessBackground = success;
  static const Color buttonSuccessText = Colors.white;
  static const Color buttonSuccessOutlineText = Color(0xFF5CB85C);
  static const Color buttonSuccessBorder = Color(0xFF4CAE4C);
  static const Color buttonInfoBackground = info;
  static const Color buttonInfoText = Colors.white;
  static const Color buttonInfoOutlineText = Color(0xFF5BC0DE);
  static const Color buttonInfoBorder = Color(0xFF46B8DA);
  static const Color buttonWarningBackground = warning;
  static const Color buttonWarningText = Colors.white;
  static const Color buttonWarningOutlineText = Color(0xFFF0AD4E);
  static const Color buttonWarningBorder = Color(0xFFEEA236);
  static const Color buttonDangerBackground = danger;
  static const Color buttonDangerText = Colors.white;
  static const Color buttonDangerOutlineText = Color(0xFFD9534F);
  static const Color buttonDangerBorder = Color(0xFFD43F3A);

  /// alert
  static const Color alertDefaultBackground = Colors.transparent;
  static const Color alertDefaultText = grayDark;
  static const Color alertDefaultBorder = Colors.transparent;
  static const Color alertSuccessBackground = panelSuccessBackground;
  static const Color alertSuccessText = panelSuccessText;
  static const Color alertSuccessBorder = panelSuccessBorder;
  static const Color alertInfoBackground = panelInfoBackground;
  static const Color alertInfoText = panelInfoText;
  static const Color alertInfoBorder = panelInfoBorder;
  static const Color alertWarningBackground = panelWarningBackground;
  static const Color alertWarningText = panelWarningText;
  static const Color alertWarningBorder = panelWarningBorder;
  static const Color alertDangerBackground = panelDangerBackground;
  static const Color alertDangerText = panelDangerText;
  static const Color alertDangerBorder = panelDangerBorder;

  /// modal
  static const Color modalDefaultBorder = Color(0xFFE5E5E5);

  /// form
  static const Color textFormFieldBorder = Color(0xFFCCCCCC);
  static const Color textFormFieldHintText = grayLight;
  static const Color textFormFieldHelperText = Color(0xFF737373);
  static const Color multiSelectSelectedBackground = Color(0xAA337AB7);

  /// code
  static const Color codeDefaultText = Color(0xFFC7254E);
  static const Color codeDefaultBackground = Color(0xFFF9F2F4);

  /// breadcrumbs
  static const Color breadcrumbsSeparation = Color(0xFFCCCCCC);
  static const Color breadcrumbsItemDefaultText = grayDark;
  static const Color breadcrumbsItemActiveText = grayLight;
}
